<!DOCTYPE html>
<html ng-app="SampleApp">
<head>
    <meta charset="UTF-8">
    <title>ng-show &amp; ng-hide</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>

    <script>
        var app = angular.module("SampleApp", []);

        app.controller("SampleAppCtrl", function($scope){
            $scope.hideElem1 = false;
            $scope.hideElem2 = false;
            $scope.hideElem3 = false;
        });
    </script>

    <style>
        div {
           display: inline-block;
           border: 1px solid gray;
           border-radius: 3px;
           margin: 14px;
           padding: 30px;
        }

        #d1{
           background-color: lightgreen;
        }

        #d2{
           background-color: lightblue;
        }

        #d3{
           background-color: lightcoral;
        }

    </style>

</head>
<body ng-controller="SampleAppCtrl">
   <div>
       <input type="checkbox" ng-model="hideElem1"/> Hide Element 1<br/>
       <input type="checkbox" ng-model="hideElem2"/> Hide Element 2<br/>
       <input type="checkbox" ng-model="hideElem3"/> Hide Element 3
   </div>

   <div id="d1" ng-hide="hideElem1">Element 1</div>
   <div id="d2" ng-hide="hideElem2">Element 2</div>
   <div id="d3" ng-hide="hideElem3">Element 3</div>

</body>
</html>